/* ************************************************************************** *
   This file is part of ceDonkey.

   ceDonkey is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   ceDonkey is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with ceDonkey; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * ************************************************************************** */
#ifndef __serverlist
#define __serverlist 1


#include "structs.h"
#include "gnet/gnet.h"

void
server_lock();

void
server_unlock();

gint 
server_add_cc(guchar *, guchar *);

gint 
server_add_nn(guint, guint);

struct ServerList *
server_get_all();

gint
server_present(char*);

gint 
server_delete(guint);

gint
server_register_ping(GInetAddr *, guint);

gint
server_deregister_ping(GInetAddr *, gint *);

gint
server_check_pings();

gint
server_get_count();

gint
ed2k_serverlist_init();


#endif
