/* ************************************************************************** *
   This file is part of ceDonkey.

   ceDonkey is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   ceDonkey is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with ceDonkey; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * ************************************************************************** */
#ifndef __tcp_listeners
#define __tcp_listeners 1


#include <gnet/gnet.h>
#include "structs.h"

void 
remove_connection(struct UserInfo *client);

gboolean 
tcp_get_messages(GIOChannel *iochannel, GIOCondition condition, gpointer data);

void
tcp_context_listener(struct PollContext *context_struct);

gboolean
tcp_client_is_open(struct UserInfo *client);


#endif
